#ifndef _TK_DESTROY_PROTOCOL_OPTION_H_
#define _TK_DESTROY_PROTOCOL_OPTION_H_

#include "tk_baseoption.h"

class TkDestroyProtocolOption:public TkBaseOption
{
	bool customProtocol;
protected:
	void doSerialize(TiXmlElement& element) const;
	void doDeserialize(const TiXmlElement& element);
public:
	static TXmlObject* newObject()
	{
		return new TkDestroyProtocolOption(false);
	}

	static const char* type;
	const char* getType() const;

	TkDestroyProtocolOption();
	TkDestroyProtocolOption(bool customProtocol);

	const string& toString() const;
	void fromObject(Tcl_Obj* object);
};

#endif/*_TK_DESTROY_PROTOCOL_OPTION_H_*/
